Bug 270127 - KTorrent crash
Summary: KTorrent crash
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
: 269612 270109 271163 272094 272297 281507 281693 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-04-05 06:19 UTC by Alexey Shildyakov
Modified: 2011-09-10 09:51 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shildyakov 2011-04-05 06:19:52 UTC
Application: ktorrent (4.2dev)
KDE Platform Version: 4.6.1 (4.6.1) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.37-gentoo x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
KTorrent: at the commit b6f8585cdb61fb79b25de26f4194da66fdd3e0d3
libktorrent: at the commit 6eeea71f25629a91941d30f355fecbb48db677f1

The crash can be reproduced some of the time.

-- Backtrace:
Application: KTorrent (ktorrent), signal: Aborted
pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S
[Current thread is 1 (Thread 0x7f1b8c719760 (LWP 20366))]

Thread 9 (Thread 0x7f1b770c0700 (LWP 20374)):
[KCrash Handler]
#6  0x00007f1b88146675 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f1b88147a90 in abort () at abort.c:92
#8  0x00007f1b8c1cde80 in bt::QtMessageOutput (type=<value optimized out>, msg=0x5f1a4d8 "ASSERT: \"*node == e || (*node)->next\" in file /usr/include/qt4/QtCore/qhash.h, line 884") at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/util/log.cpp:308
#9  0x00007f1b89c86096 in qt_message_output (msgType=QtFatalMsg, buf=0x4f96 <Address 0x4f96 out of bounds>) at global/qglobal.cpp:2228
#10 0x00007f1b89c8627e in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7f1b89dff7b0 "ASSERT: \"%s\" in file %s, line %d", ap=0x7f1b770bf180) at global/qglobal.cpp:2328
#11 0x00007f1b89c86435 in qFatal (msg=0x4f96 <Address 0x4f96 out of bounds>) at global/qglobal.cpp:2511
#12 0x00007f1b8c294b52 in QHash<unsigned short, QHashDummyValue>::findNode (this=0x7f1b7041cc40, akey=<value optimized out>, ahp=0x0) at /usr/include/qt4/QtCore/qhash.h:884
#13 0x00007f1b8c294b6b in QHash<unsigned short, QHashDummyValue>::contains (this=0x4f8e, akey=@0x4f96) at /usr/include/qt4/QtCore/qhash.h:872
#14 0x00007f1b8c294bc0 in utp::PollPipe::polling (this=<value optimized out>, conn=31127) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/pollpipe.h:56
#15 0x00007f1b8c28fe41 in utp::UTPServer::Private::wakeUpPollPipes (this=<value optimized out>, conn=<value optimized out>, readable=true, writeable=false) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpserver.cpp:193
#16 0x00007f1b8c28ff6f in utp::UTPServer::stateChanged (this=0x186b8e0, conn=<value optimized out>, readable=6, writeable=255) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpserver.cpp:476
#17 0x00007f1b8c296d36 in utp::Connection::checkState (this=0x6ab84a0) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/connection.cpp:284
#18 0x00007f1b8c2986ee in utp::Connection::handleTimeout (this=0x6ab84a0) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/connection.cpp:641
#19 0x00007f1b8c28f8c8 in utp::UTPServer::timerEvent (this=0x186b8e0, ev=0x7f1b770bfb90) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpserver.cpp:577
#20 0x00007f1b89da39b9 in QObject::event (this=0x186b8e0, e=0x4f96) at kernel/qobject.cpp:1181
#21 0x00007f1b88e164bc in QApplicationPrivate::notify_helper (this=0x1728390, receiver=0x186b8e0, e=0x7f1b770bfb90) at kernel/qapplication.cpp:4462
#22 0x00007f1b88e1e7c7 in QApplication::notify (this=0x7fff89641450, receiver=0x186b8e0, e=0x7f1b770bfb90) at kernel/qapplication.cpp:4341
#23 0x000000000043e48c in kt::App::notify (this=0x7fff89641450, receiver=0x186b8e0, event=0x7f1b770bfb90) at /var/tmp/portage/net-p2p/ktorrent-9999/work/ktorrent-9999/ktorrent/app.cpp:99
#24 0x00007f1b89d90e0b in QCoreApplication::notifyInternal (this=0x7fff89641450, receiver=0x186b8e0, event=0x7f1b770bfb90) at kernel/qcoreapplication.cpp:731
#25 0x00007f1b89dc3d5a in sendEvent (this=0x7f1b700091e0) at kernel/qcoreapplication.h:215
#26 QTimerInfoList::activateTimers (this=0x7f1b700091e0) at kernel/qeventdispatcher_unix.cpp:604
#27 0x00007f1b89dc0a98 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#28 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#29 0x00007f1b83b49ff9 in g_main_dispatch (context=0x186d620) at gmain.c:2440
#30 g_main_context_dispatch (context=0x186d620) at gmain.c:3013
#31 0x00007f1b83b4e538 in g_main_context_iterate (context=0x186d620, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3091
#32 0x00007f1b83b4e6de in g_main_context_iteration (context=0x186d620, may_block=1) at gmain.c:3154
#33 0x00007f1b89dc075e in QEventDispatcherGlib::processEvents (this=0x17b94c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#34 0x00007f1b89d8fa12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#35 0x00007f1b89d8fddd in QEventLoop::exec (this=0x7f1b770bfe20, flags=) at kernel/qeventloop.cpp:201
#36 0x00007f1b89c8e6d8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#37 0x00007f1b89c913aa in QThreadPrivate::start (arg=0x1829590) at thread/qthread_unix.cpp:320
#38 0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#39 0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f1b768bf700 (LWP 20375)):
#0  0x00007f1b881e2f33 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=500) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f1b8c1e5431 in net::Poll::poll (this=0x7f1b768bed50, timeout=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/poll.cpp:99
#2  0x00007f1b8c25d677 in dht::RPCServer::Private::run (this=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/dht/rpcserver.cpp:95
#3  0x00007f1b89c913aa in QThreadPrivate::start (arg=0x7f1b70007950) at thread/qthread_unix.cpp:320
#4  0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#5  0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f1b778c1700 (LWP 20387)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f1b6f5e81e1 in metronom_sync_loop (this=0x4d69aa0) at metronom.c:870
#2  0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#3  0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f1b6752d700 (LWP 20388)):
#0  0x00007f1b881e2f33 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f1b83b4e2a1 in g_main_context_poll (context=0x4cf7a30, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3404
#2  g_main_context_iterate (context=0x4cf7a30, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3086
#3  0x00007f1b83b4e6de in g_main_context_iteration (context=0x4cf7a30, may_block=1) at gmain.c:3154
#4  0x00007f1b89dc07ae in QEventDispatcherGlib::processEvents (this=0x49b73a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f1b89d8fa12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f1b89d8fddd in QEventLoop::exec (this=0x7f1b6752cdc0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f1b89c8e6d8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f1b6f841e30 in Phonon::Xine::XineThread::run (this=0x49b73e0) at /var/tmp/portage/media-sound/phonon-xine-4.4.4/work/phonon-backend-xine-4.4.4/xine/xinethread.cpp:143
#9  0x00007f1b89c913aa in QThreadPrivate::start (arg=0x49b73e0) at thread/qthread_unix.cpp:320
#10 0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#11 0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f1b66b27700 (LWP 20389)):
#0  0x00007f1b881e2f33 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f1b81b69873 in poll_func (ufds=0x4d29f10, nfds=<value optimized out>, timeout=<value optimized out>, userdata=0x7f1b700033b0) at pulse/thread-mainloop.c:75
#2  0x00007f1b81b59836 in pa_mainloop_poll (m=0x7f1b700032b0) at pulse/mainloop.c:879
#3  0x00007f1b81b5ac0e in pa_mainloop_iterate (m=0x7f1b700032b0, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00007f1b81b5acf0 in pa_mainloop_run (m=0x7f1b700032b0, retval=0x0) at pulse/mainloop.c:979
#5  0x00007f1b81b69653 in thread (userdata=0x7f1b70002500) at pulse/thread-mainloop.c:94
#6  0x00007f1b80b42217 in internal_thread_func (userdata=0x7f1b70003420) at pulsecore/thread-posix.c:83
#7  0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#8  0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f1b62325700 (LWP 20390)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1b6f5f6323 in fifo_peek_int (fifo=0x7f1b7000bb70, blocking=1) at audio_out.c:348
#2  0x00007f1b6f5f7d3a in fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#5  0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f1b5e0f6700 (LWP 20419)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1b89c904f3 in QMutexPrivate::wait (this=0x16da390, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f1b89c8b0cd in QMutex::lock (this=0x16d99e0) at thread/qmutex.cpp:167
#3  0x00007f1b8c1e033c in net::DownloadThread::waitForSocketReady (this=0x16da410) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/downloadthread.cpp:110
#4  0x00007f1b8c1e0456 in net::DownloadThread::update (this=0x16da3dc) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/downloadthread.cpp:48
#5  0x00007f1b8c1e0ee9 in net::NetworkThread::run (this=0x16da410) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/networkthread.cpp:48
#6  0x00007f1b89c913aa in QThreadPrivate::start (arg=0x16da410) at thread/qthread_unix.cpp:320
#7  0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#8  0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f1b5d8f5700 (LWP 20420)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1b89c904f3 in QMutexPrivate::wait (this=0x1894970, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f1b89c8b0cd in QMutex::lock (this=0x18944d8) at thread/qmutex.cpp:167
#3  0x00007f1b8c1de522 in QMutexLocker::QMutexLocker (this=0x7f1b5d8f4cc0, m=<value optimized out>) at /usr/include/qt4/QtCore/qmutex.h:102
#4  0x00007f1b8c290116 in utp::UTPServer::preparePolling (this=0x186b8e0, p=0x16da940, mode=57232, conn=) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpserver.cpp:452
#5  0x00007f1b8c29bf21 in utp::UTPSocket::prepare (this=0x7f1b4c088350, p=0x16da940, mode=net::Poll::OUTPUT) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpsocket.cpp:212
#6  0x00007f1b8c1df2d1 in net::UploadThread::waitForSocketsReady (this=0x16da930) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/uploadthread.cpp:124
#7  0x00007f1b8c1df356 in net::UploadThread::update (this=0x18949bc) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/uploadthread.cpp:45
#8  0x00007f1b8c1e0ee9 in net::NetworkThread::run (this=0x16da930) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/net/networkthread.cpp:48
#9  0x00007f1b89c913aa in QThreadPrivate::start (arg=0x16da930) at thread/qthread_unix.cpp:320
#10 0x00007f1b899fbc3a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#11 0x00007f1b881ebd1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f1b8c719760 (LWP 20366)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1b89c904f3 in QMutexPrivate::wait (this=0x1894970, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f1b89c8b0cd in QMutex::lock (this=0x18944d8) at thread/qmutex.cpp:167
#3  0x00007f1b8c1de522 in QMutexLocker::QMutexLocker (this=0x7fff89640320, m=<value optimized out>) at /usr/include/qt4/QtCore/qmutex.h:102
#4  0x00007f1b8c2904bf in utp::UTPServer::connectTo (this=0x186b8e0, addr=...) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpserver.cpp:413
#5  0x00007f1b8c29c228 in utp::UTPSocket::connectTo (this=0x6cd4c00, addr=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/utp/utpsocket.cpp:98
#6  0x00007f1b8c1ed383 in bt::Authenticate::Authenticate (this=0x7f1b70901240, ip=<value optimized out>, port=<value optimized out>, proto=bt::UTP, info_hash=<value optimized out>, peer_id=<value optimized out>, pcon=...) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/authenticate.cpp:68
#7  0x00007f1b8c2096c1 in bt::PeerConnector::Private::start (this=0x7f1b70506f50, method=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/peerconnector.cpp:181
#8  0x00007f1b8c1d389b in bt::ResourceManager::update (this=0x7f1b8c5583a0) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/util/resourcemanager.cpp:109
#9  0x00007f1b8c1d39c8 in bt::ResourceManager::remove (this=0x7f1b8c5583a0, r=0x7f1b4c485890) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/util/resourcemanager.cpp:82
#10 0x00007f1b8c1d3aa7 in bt::Resource::~Resource (this=0x7f1b4c485890, __in_chrg=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/util/resourcemanager.cpp:33
#11 0x00007f1b8c209b38 in bt::PeerConnector::~PeerConnector (this=0x7f1b4c485890, __in_chrg=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/peerconnector.cpp:78
#12 0x00007f1b8c1edd24 in QtSharedPointer::ExternalRefCount<bt::PeerConnector>::deref (d=0x7f1b4c1da3c0, value=0x7f1b4c485890) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:334
#13 0x00007f1b8c1ecb9e in bt::Authenticate::onFinish (this=0x7f1b4c8a7df0, succes=true) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/authenticate.cpp:170
#14 0x00007f1b8c1edbb6 in bt::Authenticate::handshakeReceived (this=0x7f1b4c8a7df0, full=true) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/authenticate.cpp:206
#15 0x00007f1b8c1ee989 in bt::AuthenticationMonitor::handleData (this=<value optimized out>) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/authenticationmonitor.cpp:136
#16 0x00007f1b8c1eeba5 in bt::AuthenticationMonitor::update (this=0x6ecf20) at /var/tmp/portage/net-libs/libktorrent-9999/work/libktorrent-9999/src/peer/authenticationmonitor.cpp:111
#17 0x00000000004304c2 in kt::Core::update (this=0x182e2d0) at /var/tmp/portage/net-p2p/ktorrent-9999/work/ktorrent-9999/ktorrent/core.cpp:1043
#18 0x00000000004340c2 in kt::Core::qt_metacall (this=0x182e2d0, _c=QMetaObject::InvokeMetaMethod, _id=-512, _a=0x7fff896409c0) at /var/tmp/portage/net-p2p/ktorrent-9999/work/ktorrent-9999_build/ktorrent/core.moc:164
#19 0x00007f1b89dab60a in QMetaObject::activate (sender=0x182e2f8, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3278
#20 0x00007f1b89da39b9 in QObject::event (this=0x182e2f8, e=0x80) at kernel/qobject.cpp:1181
#21 0x00007f1b88e164bc in QApplicationPrivate::notify_helper (this=0x1728390, receiver=0x182e2f8, e=0x7fff896410f0) at kernel/qapplication.cpp:4462
#22 0x00007f1b88e1e7c7 in QApplication::notify (this=0x7fff89641450, receiver=0x182e2f8, e=0x7fff896410f0) at kernel/qapplication.cpp:4341
#23 0x000000000043e48c in kt::App::notify (this=0x7fff89641450, receiver=0x182e2f8, event=0x7fff896410f0) at /var/tmp/portage/net-p2p/ktorrent-9999/work/ktorrent-9999/ktorrent/app.cpp:99
#24 0x00007f1b89d90e0b in QCoreApplication::notifyInternal (this=0x7fff89641450, receiver=0x182e2f8, event=0x7fff896410f0) at kernel/qcoreapplication.cpp:731
#25 0x00007f1b89dc3d5a in sendEvent (this=0x1728230) at kernel/qcoreapplication.h:215
#26 QTimerInfoList::activateTimers (this=0x1728230) at kernel/qeventdispatcher_unix.cpp:604
#27 0x00007f1b89dc0a98 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#28 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#29 0x00007f1b83b49ff9 in g_main_dispatch (context=0x1729620) at gmain.c:2440
#30 g_main_context_dispatch (context=0x1729620) at gmain.c:3013
#31 0x00007f1b83b4e538 in g_main_context_iterate (context=0x1729620, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3091
#32 0x00007f1b83b4e6de in g_main_context_iteration (context=0x1729620, may_block=1) at gmain.c:3154
#33 0x00007f1b89dc075e in QEventDispatcherGlib::processEvents (this=0x1727440, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#34 0x00007f1b88ed4e26 in QGuiEventDispatcherGlib::processEvents (this=0x18949bc, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f1b89d8fa12 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#36 0x00007f1b89d8fddd in QEventLoop::exec (this=0x7fff896413b0, flags=) at kernel/qeventloop.cpp:201
#37 0x00007f1b89d9267b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#38 0x000000000042d6bb in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/net-p2p/ktorrent-9999/work/ktorrent-9999/ktorrent/main.cpp:177

Reported using DrKonqi
Comment 1 Joris Guisson 2011-04-08 11:27:49 UTC
*** Bug 270109 has been marked as a duplicate of this bug. ***
Comment 2 Joris Guisson 2011-04-08 12:18:40 UTC
*** Bug 269612 has been marked as a duplicate of this bug. ***
Comment 3 Joris Guisson 2011-04-08 19:51:30 UTC
Git commit ec8a618254ded7a0b75ac6fb92d9d7eea888728a by Joris Guisson.
Committed on 08/04/2011 at 19:56.
Pushed by guisson into branch 'master'.

Fix crash in DHT code caused by unsynchronized access to a QSet

BUG: 270127

M  +1    -0    ChangeLog     
M  +1    -0    src/utp/pollpipe.h     

http://commits.kde.org/libktorrent/ec8a618254ded7a0b75ac6fb92d9d7eea888728a
Comment 4 Joris Guisson 2011-04-08 19:52:47 UTC
Git commit 8c8103df2414d3f0b428871b95b6fb9ea38f290a by Joris Guisson.
Committed on 08/04/2011 at 19:56.
Pushed by guisson into branch '1.1'.

Backport to 1.1: Fix crash in DHT code caused by unsynchronized access to a QSet

CCBUG: 270127

M  +1    -0    ChangeLog     
M  +1    -0    src/utp/pollpipe.h     

http://commits.kde.org/libktorrent/8c8103df2414d3f0b428871b95b6fb9ea38f290a
Comment 5 Joris Guisson 2011-04-17 17:58:34 UTC
*** Bug 271163 has been marked as a duplicate of this bug. ***
Comment 6 Joris Guisson 2011-05-01 10:40:58 UTC
*** Bug 272094 has been marked as a duplicate of this bug. ***
Comment 7 Joris Guisson 2011-05-03 18:04:17 UTC
*** Bug 272297 has been marked as a duplicate of this bug. ***
Comment 8 Joris Guisson 2011-09-07 17:27:34 UTC
*** Bug 281507 has been marked as a duplicate of this bug. ***
Comment 9 Joris Guisson 2011-09-10 09:51:28 UTC
*** Bug 281693 has been marked as a duplicate of this bug. ***